<template>
  <v-container>

    <v-row
      justify="center"
    >
      <v-col cols="12" sm="8" md="6" lg="4" xl="3">
        <v-card
          outlined
        >
          <v-card-title>Verificacion de datos</v-card-title>
          <v-card-text v-if="withData">
            <v-list-item>
              <v-list-item-content>
                <v-list-item-title>{{registerForm.name}}</v-list-item-title>
                <v-list-item-subtitle>Nombre</v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>
            <v-list-item>
              <v-list-item-content>
                <v-list-item-title>{{registerForm.lastname}}</v-list-item-title>
                <v-list-item-subtitle>Apellido</v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>
            <v-list-item>
              <v-list-item-content>
                <v-list-item-title>{{registerForm.documentNumber}}</v-list-item-title>
                <v-list-item-subtitle>Número de Documento {{registerForm.typeDocument}}</v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>
            <v-list-item>
              <v-list-item-content>
                <v-list-item-title>{{registerForm.phoneNumber}}</v-list-item-title>
                <v-list-item-subtitle>Número de teléfono</v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>
            <v-list-item>
              <v-list-item-content>
                <v-list-item-title>{{registerForm.email}}</v-list-item-title>
                <v-list-item-subtitle>E-mail</v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>

          </v-card-text>
          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn to="/register">
              Volver
            </v-btn>
            <v-btn
              v-if="withData"
              class="mr-4"
              type="submit"
              color="primary"
              @click="register"
            >
              Registrarse
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  data: () => ({
    withData: true
  }),
  created () {
    if (!this.registerForm?.name) {
      this.withData = false
    }
  },
  computed: {
    registerForm () {
      return this.$store.getters.getRegisterForm
    }
  },
  methods: {
    register(){
      this.$axios.post('/register', this.registerForm)
    }
  }

}
</script>

<style>
</style>